Skip to content

List Codexgate Evaluations

GET
/v1/admin/codexgate/evaluations
curl --request GET \
--url 'https://example.com/v1/admin/codexgate/evaluations?limit=25&tenant_id='
limit
Limit
integer
default: 25
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
CodexGateEvaluationListOut
object
items
Items
Array<object>
CodexGateEvaluationOut
object
signal
required
CodexGateSignalOut
object
observed_change_id
required
Observed Change Id
string
signal_key
required
Signal Key
string
signal_kind
required
Signal Kind
string
Allowed values: pr_review_requested_changes pr_review_thread pr_check_failure pr_merge_regression issue_bug_report issue_feature_request release_regression
source
Source
string
default: github
status
Status
string
default: pending
title
Title
string
""
summary
Summary
string
""
repo
Repo
string
""
branch
Branch
string
""
github_ref
Github Ref
string
""
pr_number
Any of:
integer
issue_number
Any of:
integer
merge_sha
Merge Sha
string
""
labels
Labels
Array<string>
changed_files
Changed Files
Array<string>
failing_checks
Failing Checks
Array<string>
review_summary
Review Summary
string
""
operator_text
Operator Text
string
""
linked_scenario_keys
Linked Scenario Keys
Array<string>
payload
Payload
object
key
additional properties
any
created_at
Any of:
string format: date-time
updated_at
Any of:
string format: date-time
scenario_keys
Scenario Keys
Array<string>
pack_keys
Pack Keys
Array<string>
gitops_surface
Gitops Surface
string
""
expected_artifacts
Expected Artifacts
Array<string>
acceptance_contract
Acceptance Contract
string
""
scorecard
required
CodexGateScorecardOut
object
practicality
Practicality
string
""
performance
Performance
string
""
input
Input
string
""
output_expectation
Output Expectation
string
""
improvement_suggestions
Improvement Suggestions
Array<string>
total
Total
integer
0
Example
{
"items": [
{
"signal": {
"signal_kind": "pr_review_requested_changes",
"source": "github",
"status": "pending",
"title": "",
"summary": "",
"repo": "",
"branch": "",
"github_ref": "",
"merge_sha": "",
"review_summary": "",
"operator_text": ""
},
"gitops_surface": "",
"acceptance_contract": "",
"scorecard": {
"practicality": "",
"performance": "",
"input": "",
"output_expectation": ""
}
}
],
"total": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}